# ApiParcelUsageRack Data Model

This object is used to represent a rack within an ApiParcelUsage.

Properties
name | data type | description
--- | --- | ---
hosts | array of ApiParcelUsageHost | A collection of the hosts in the rack.
rackId | string | The rack ID for the rack.

Example

    {
      "hosts" : [ {
        "hostRef" : {
          "hostId" : "...",
          "hostname" : "..."
        },
        "roles" : [ {
          "roleRef" : { },
          "parcelRefs" : [ { }, { } ]
        }, {
          "roleRef" : { },
          "parcelRefs" : [ { }, { } ]
        } ]
      }, {
        "hostRef" : {
          "hostId" : "...",
          "hostname" : "..."
        },
        "roles" : [ {
          "roleRef" : { },
          "parcelRefs" : [ { }, { } ]
        }, {
          "roleRef" : { },
          "parcelRefs" : [ { }, { } ]
        } ]
      } ],
      "rackId" : "..."
    }